Bug 456545 - fails to recieve files sent from phone
fails to recieve files sent from phone
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: obex-data-server (Show other bugs)
10
All Linux
low Severity low
: ---
: ---
Assigned To: Bastien Nocera
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-07-24 10:51 EDT by Stephen
Modified: 2009-12-18 01:15 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 01:15:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stephen 2008-07-24 10:51:16 EDT
Description of problem:

Using the 'Send To', 'Via Bluetooth' function of a Nokia 6680 and a Sony P910i
fail immediately with the phone message "failed to send" or similar. I can't see
any error on the laptop side.

The phones can send to each other, naturaly.

Both phones are paired and authorized with the laptop. For instance, I can
browse the files on the Sony via nautilus.

As far as I can tell, I've turned on all bluetooth options in all applets in
their most permissive states, including the seperate Personal File Sharing
applet which also handles http via apache.



Version-Release number of selected component (if applicable):

gnome-bluetooth-0.11.0-3.fc9.i386



How reproducible:

Always. This has never worked for me (tried a few times with f8 and f7)



Steps to Reproduce:
1. pair phone with laptop
2. enable all bluetooth sharing settings
3. send a photo to the laptop via bluetooth

  
Actual results:

fail


Expected results:

goofy and/or compromising photos sent from phone to laptop for distribution via
flickr etc.
Comment 1 Jiri Moskovcak 2008-07-28 03:33:13 EDT
Hi,
you can either try $ obex_push or this how to
http://fedoraproject.org/wiki/Features/BluetoothFedora9#Sending_files_via_Obex_Push

Jirka
Comment 2 Stephen 2008-07-28 10:29:34 EDT
Thanks for the tip.

Ok, so that confirms that System -> Internet & Network -> Personal File Sharing
is supposed to enable receiving files from a phone. This isn't working for me.

(btw. this seems like a UI bug. At least the 'Receive file in Downloads folder
over Bluetooth' section of that prefs pane should be in the main Bluetooth prefs)

However, running simply 'obex_push' at the cmd line and then sending from the
phone works -- the file appears in the current directory and the program exits. 

(another small bug: the man page for obex_push says that files will appear in /tmp)

Looking at the process listing, gnome-user-share is running.

Does this work for other people, or is it just me?

I'm using a Bluetooth dongle, if that makes any difference. (i.e. it's not
plugged in when I boot/login, but things seem to come up fine when it gets
plugged in).
Comment 3 Jiri Moskovcak 2008-07-29 03:18:12 EDT
Hi,
just tried to use gnome sharing for bluetooth transfer and everything works fine
for me. Could you please kill and restart /usr/libexec/gnome-user-share from
cmdline and check for any warning or error messages.

Thanks,
Jirka
Comment 4 Stephen 2008-07-29 11:13:31 EDT
Aha, if I kill and rerun gnome-user-share the message is:

Creating Bluetooth ObexFTP server failed: Bluez DBus interface not available
Creating Bluetooth ObexPush server failed: Bluez DBus interface not available

...because my bluetooth dongle was not plugged in :-(

Plug in the dongle and gnome-user-share starts and I can send a picture from the
phone to the laptop.

Which reminds me, at the top of ~/.xsession-errors is:


Started none
SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/2377,unix/unix:/tmp/.ICE-unix/2377
GSynaptics couldn't initialize.
Bluetooth OBEX server failed: Bluez DBus interface not available
Bluetooth FTP server failed: Bluez DBus interface not available
Failure: Module initalization failed

** (nautilus:2592): WARNING **: Unable to add monitor: Not supported
httpd: apr_sockaddr_info_get() failed for yo.localdomain
httpd: Could not reliably determine the server's fully qualified domain name,
using 127.0.0.1 for ServerName
Creating Bluetooth ObexFTP server failed: Bluez DBus interface not available
Creating Bluetooth ObexPush server failed: Bluez DBus interface not available
compiz (video) - Warn: No 8 bit GLX pixmap format, disabling YV12 image format


So here's what's happening:

* when I start the machine and log in the bluetooth dongle is unplugged (it
sticks out the side of the machine and I use it only rarely to trasfer from
phone to laptop).

* gnome-user-share starts and fails to connect to the bluetooth dbus service,
and gives up

* some time later I connect the dongle, the bluetooth icon appears in the tray,
and a bubble pops up telling me the machine is now discoverable.  At this point
bluetooth works to send FROM the laptop, TO the phone.

* however, gnome-user-share has been running all this time in the background, in
it's disconnected state from the dbus bluetooth service, and does not detect the
appearance of the dongle, and hence the service.


So, it looks like a gnome-user-share/dbus problem. It needs to watch for the
dbus service to appear, bearing in mind that bluetooth may be provided by a
dongle and not be built into the machine.

I guess the same problem will apply to folks who boot and log into their machine
with the rf kill-switch in the off position.


Thanks for the troubleshooting help!
 
Comment 5 Jiri Moskovcak 2008-08-04 03:45:57 EDT
According to comment #4 it seems like problem in gnome-user-share package - reassigning.
Comment 6 Bastien Nocera 2008-08-08 08:54:59 EDT
IMO, this is a problem with obex-data-server. It shouldn't fail to work properly if there's no Bluetooth devices, but hcid is started.

Could you please check the output of "service bluetooth status" when reproducing the problem (ie. with the bluetooth dongle plugged in but the server refusing connections)?

Which version of obex-data-server are you using?
Comment 7 Stephen 2008-08-08 10:45:39 EDT
$ /sbin/service bluetooth status
hcid (pid 2044) is running...


$ sudo /sbin/service bluetooth restart
Stopping Bluetooth services:             [  OK  ]
Starting Bluetooth services:             [  OK  ]


At this point, the laptop still fails to receive a photo from the phone.


$ rpm -qa | grep obex
obexftp-0.22-0.9.rc9.fc9.i386
openobex-apps-1.3-13.fc9.i386
obex-data-server-0.3.1-1.fc9.i386
openobex-1.3-13.fc9.i386
gnome-vfs2-obexftp-0.4-6.fc9.i386

$ rpm -qa | grep blue
gnome-bluetooth-libs-0.11.0-3.fc9.i386
bluez-utils-3.32-1.fc9.i386
gnome-bluetooth-0.11.0-3.fc9.i386
bluez-gnome-0.26-1.fc9.i386
bluez-utils-cups-3.32-1.fc9.i386
bluecurve-icon-theme-8.0.2-1.fc9.noarch
bluez-libs-3.32-1.fc9.i386
bluez-utils-alsa-3.32-1.fc9.i386
Comment 8 Bastien Nocera 2009-04-25 11:23:25 EDT
Definitely a bug in obex-data-server...

I'm setting the version to F10, as it's the first version with BlueZ 4.x, the changes would be too big to backport to F9.
Comment 9 Bug Zapper 2009-11-18 07:37:37 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Bug Zapper 2009-12-18 01:15:58 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.